website/main/urls.py
from django.conf.urls import include, url
from django.contrib import admin

from django.contrib.staticfiles.urls import staticfiles_urlpatterns

from django.conf import settings
from django.conf.urls.static import static

#for favicon URL
from django.contrib.staticfiles.storage import staticfiles_storage
from django.views.generic.base import RedirectView

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url('', include('searching.urls')),
    url('', include('users.urls')),
    url(r'^accounts/', include('shops.urls')), #shops are available only under account
    url(r'^accounts/', include('shopsortiment.urls')), #shops sortiment is available only under account
    url(r'^accounts/', include('sortiment.urls')), #sortiment is available only under account
    url(r'^accounts/', include('categories.urls')), #categories are available only under account
    #url(r'^search/', include('haystack.urls')),
    url(
        r'^favicon.ico$',
        RedirectView.as_view(
            url=staticfiles_storage.url('favicon.ico'),
            permanent=False),
        name="favicon"
    ),
]

urlpatterns += staticfiles_urlpatterns()

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

website/shops/urls.py
from django.urls import path
from django.contrib.auth.decorators import login_required

# include shops views for rendering the output
from .views import edShopListView
from .views import edShopCreateView
from .views import edShopUpdateView
from .views import edShopDeleteView

app_name = 'shops'

urlpatterns = [
    path('shop/', login_required(edShopListView.as_view()), name='view'),
    path('shop/new/', login_required(edShopCreateView.as_view()), name='new'),
    path('shop/<int:pk>', login_required(edShopUpdateView.as_view()), name='edit'),
    path('shop/<int:pk>/delete/', login_required(edShopDeleteView.as_view()), name='delete'),
]

website/shops/models.py
from django.db import models
from users.models import User

# Create your models here.
# shops classificator
class edShop(models.Model):
    name = models.CharField("Shop name", max_length=200)
    city = models.CharField("City", max_length=50)
    street = models.CharField("Street", max_length=100)
    number = models.CharField("Houseumber", max_length=10)
    postal_code = models.CharField("Postal code", max_length=10)
    code = models.CharField("Shop ID Code", max_length=50, null=True, blank=True, default=None)
    #
    owner = models.ForeignKey(
        User,
        on_delete=models.CASCADE,
        default=1,
    )
    added_date = models.DateTimeField("Date added", auto_now_add=True, null=True)
    modified_date = models.DateTimeField("Date last modified", auto_now=True, null=True)
    
    def __str__(self):
        return ('%s: %s (%s, %s %s, %s)' % (self.code or '', self.name or '', self.city or '', self.street or '', self.number or '', self.postal_code or ''))

website/shops/views.py
from django.shortcuts import render
from django.views import generic
from django.views.generic.edit import FormView, CreateView, UpdateView, DeleteView
from django.urls import reverse_lazy

# include main model for shops
from .models import edShop

class edShopListView(generic.ListView):
    model = edShop
    context_object_name = 'shop'   # your own name for the list as a template variable
    template_name = 'shops/list.html'  # Specify your own template name/location

class edShopDetailView(generic.DetailView):
    model = edShop   
    context_object_name = 'shop'   # your own name for the list as a template variable
    template_name = 'shops/detail.html'  # Specify your own template name/location 

class edShopCreateView(CreateView):
    model = edShop
    context_object_name = 'shop'   # your own name for the list as a template variable
    template_name = 'shops/new.html'
    fields = ['name', 'code', 'city', 'street', 'number', 'postal_code']
    success_url = reverse_lazy('shops:view')
    def form_valid(self, form):
        form.instance.owner = self.request.user
        return super(edShopCreateView, self).form_valid(form)

class edShopUpdateView(UpdateView):
    model = edShop
    template_name = 'shops/edit.html'
    context_object_name = 'shop'   # your own name for the list as a template variable
    fields = ['name', 'code', 'city', 'street', 'number', 'postal_code']
    success_url = reverse_lazy('shops:view')

class edShopDeleteView(DeleteView):
    model = edShop
    #template_name = 'stores/edShop_confirm_delete.html'
    success_url = reverse_lazy('shops:view')

website/templates/shops/edit.html
{% extends 'main/base_editform.html' %}

{% block content %}

<div class="page-header header-filter" data-parallax="true" style="background-image: url('{{ landing_top }}'); background-size: cover; background-position: top center;">
    <div class="container">
        <div class="row">
            <div class="col-md-6 ml-auto mr-auto">

                <!-- Edit form -->
            <form class="form" method="POST" action="{% url 'shops:edit' shop.id %}">
            <div class="card card-signup">
                    <h2 class="card-title text-center">{{ shop.name }}</h2>
                    {% csrf_token %}

                    {% if form.errors %}
                        {% for field in form %}
                            {% for error in field.errors %}
                                <div class="alert alert-danger">
                                    <strong>{{ error|escape }}</strong>
                                </div>
                            {% endfor %}
                        {% endfor %}
                        {% for error in form.non_field_errors %}
                            <div class="alert alert-danger">
                                <strong>{{ error|escape }}</strong>
                            </div>
                        {% endfor %}
                    <div class="alert alert-danger">
                        <div>
                            <div class="alert-icon">
                                <i class="material-icons">error_outline</i>
                            </div>
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                <span aria-hidden="true"><i class="material-icons">clear</i></span>
                            </button>
                            <b>Kļūda:</b> Lietotājs ar šādu paroli netika atrasts. Lūdzu mēģiniet vēlreiz.
                        </div>
                    </div>
                    {% endif %}

                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-10 ml-auto mr-auto">
                                <div class="form-group bmd-form-group">
                                    <label for="{{ form.name.id_for_label }}" class="bmd-label-static">{{ form.name.label }}</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" value="{{ form.name.value|default_if_none:"" }}" name="{{ form.name.html_name }}" id="{{ form.name.id_for_label }}">
                                    </div>
                                </div>
                                <div class="form-group bmd-form-group">
                                    <label for="{{ form.code.id_for_label }}" class="bmd-label-static">{{ form.code.label }}</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" value="{{ form.code.value|default_if_none:"" }}" name="{{ form.code.html_name }}" id="{{ form.code.id_for_label }}">
                                    </div>
                                </div>
                                <div class="form-group bmd-form-group">
                                    <label for="{{ form.city.id_for_label }}" class="bmd-label-static">{{ form.city.label }}</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" value="{{ form.city.value|default_if_none:"" }}" name="{{ form.city.html_name }}" id="{{ form.city.id_for_label }}">
                                    </div>
                                </div>
                                <div class="form-group bmd-form-group">
                                    <label for="{{ form.street.id_for_label }}" class="bmd-label-static">{{ form.street.label }}</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" value="{{ form.street.value|default_if_none:"" }}" name="{{ form.street.html_name }}" id="{{ form.street.id_for_label }}">
                                    </div>
                                </div>
                                <div class="form-group bmd-form-group">
                                    <label for="{{ form.number.id_for_label }}" class="bmd-label-static">{{ form.number.label }}</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" value="{{ form.number.value|default_if_none:"" }}" name="{{ form.number.html_name }}" id="{{ form.number.id_for_label }}">
                                    </div>
                                </div>
                                <div class="form-group bmd-form-group">
                                    <label for="{{ form.postal_code.id_for_label }}" class="bmd-label-static">{{ form.postal_code.label }}</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" value="{{ form.postal_code.value|default_if_none:"" }}" name="{{ form.postal_code.html_name }}" id="{{ form.postal_code.id_for_label }}">
                                    </div>
                                </div>
                                <div class="card-footer justify-content-center">
                                    <button type="submit" class="btn btn-success btn-round">Saglabāt</button>
                                    <a href="{% url 'shops:view' %}" class="btn btn-default btn-round ml-3">Atcelt</a>
                                </div>
                                <input type="hidden" name="next" value="{{ next }}" />
                                
                            </div>
                        </div>
                        
                    </div>
                    
                </div>
            </form>

{% if next %}
  {% if user.is_authenticated %}
    <p>Your account doesn't have access to this page. To proceed,
    please login with an account that has access.</p>
  {% else %}
    <p>Please login to see this page.</p>
  {% endif %}
{% endif %}
                
                </div>
        </div>
    </div>
</div>
  

{% endblock %}

website/templates/shops/list.html
{% extends 'main/base.html' %}

{% block content %}
  
    <div class="container">
        <div class="row">
            <div class="col-lg-8 col-md-10 ml-auto mr-auto">

                <div class="section">
                        <div class="container">
                            <h2 class="section-title">Jūsu veikali</h2>

                            <div class="row">
                                {% if shop %}
                                <div class="table-responsive">
                                <table class="table table-shopping">
                                    <thead>
                                    <tr>
                                        <th>Nosaukums</th>
                                        <th>ID</th>
                                        <th>Adrese</th>
                                        <th class="text-right"></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for shop in shop %}
                                    <tr>
                                        <td>{{ shop.name }}</td>
                                        <td>{{shop.code}}</td>
                                        <td>{{shop.city}}, {{shop.street}} {{shop.number}}, {{shop.postal_code}}</td>
                                        <td class="td-actions text-right">
                                                <form method="POST" action="{% url 'shops:delete' shop.id %}">
                                                    {% csrf_token %}
                                                    <a href="{% url 'shops:edit' shop.id %}">
                                                        <button type="button" rel="tooltip" class="btn btn-success btn-round btn-just-icon btn-sm" data-original-title="" title="">
                                                            <i class="material-icons">edit</i>
                                                        </button>
                                                    </a>
                                                    <a href="{% url 'shops:delete' shop.id %}">
                                                    <button type="submit" rel="tooltip" class="btn btn-danger btn-round btn-just-icon btn-sm" data-original-title="" title="" onClick="return confirm('Vai tiešām vēlaties dzēst?');">
                                                        <i class="material-icons">close</i>
                                                    </button>
                                                    </a>
                                                </form>
                                            </td>
                                        </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>
                                <p>
                                    <a href="{% url 'shops:new' %}" class="btn btn-success btn-round btn-just-icon btn-md">
                                        <i class="material-icons">add</i>
                                    </a>
                                </p>
                                </div>
                                {% else %}
                                <p> 
                                    <a href="{% url 'shops:new' %}" class="btn btn-success btn-round btn-just-icon btn-md">
                                        <i class="material-icons">add</i>
                                    </a>
                                    Veikalu nav. Pievienot jaunu veikalu.
                                </p>
                                {% endif %}  
                            </div>
                    
                        </div>
                    </div>    
            
                </div>
        </div>
    </div>

  

{% endblock %}

website/templates/shops/new.html
{% extends 'main/base_editform.html' %}

{% block content %}

<div class="page-header header-filter" data-parallax="true" style="background-image: url('{{ landing_top }}'); background-size: cover; background-position: top center;">
    <div class="container">
        <div class="row">
            <div class="col-md-6 ml-auto mr-auto">

                <!-- Edit form -->
    <form class="form" method="POST" action="{% url 'shops:new' %}">
            <div class="card card-signup">
                    <h2 class="card-title text-center">Pievienot veikalu</h2>
                    {% csrf_token %}

                    {% if form.errors %}
                    <div class="alert alert-danger">
                        <div>
                            <div class="alert-icon">
                                <i class="material-icons">error_outline</i>
                            </div>
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                <span aria-hidden="true"><i class="material-icons">clear</i></span>
                            </button>
                            <b>Kļūda:</b> Lietotājs ar šādu paroli netika atrasts. Lūdzu mēģiniet vēlreiz.
                        </div>
                    </div>
                    {% endif %}

                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-10 ml-auto mr-auto">
                                <div class="form-group bmd-form-group">
                                    <label for="{{ form.name.id_for_label }}" class="bmd-label-static">{{ form.name.label }}</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" value="{{ form.name.value|default_if_none:"" }}" name="{{ form.name.html_name }}" id="{{ form.name.id_for_label }}">
                                    </div>
                                </div>
                                <div class="form-group bmd-form-group">
                                    <label for="{{ form.code.id_for_label }}" class="bmd-label-static">{{ form.code.label }}</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" value="{{ form.code.value|default_if_none:"" }}" name="{{ form.code.html_name }}" id="{{ form.code.id_for_label }}">
                                    </div>
                                </div>
                                <div class="form-group bmd-form-group">
                                    <label for="{{ form.city.id_for_label }}" class="bmd-label-static">{{ form.city.label }}</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" value="{{ form.city.value|default_if_none:"" }}" name="{{ form.city.html_name }}" id="{{ form.city.id_for_label }}">
                                    </div>
                                </div>
                                <div class="form-group bmd-form-group">
                                    <label for="{{ form.street.id_for_label }}" class="bmd-label-static">{{ form.street.label }}</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" value="{{ form.street.value|default_if_none:"" }}" name="{{ form.street.html_name }}" id="{{ form.street.id_for_label }}">
                                    </div>
                                </div>
                                <div class="form-group bmd-form-group">
                                    <label for="{{ form.number.id_for_label }}" class="bmd-label-static">{{ form.number.label }}</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" value="{{ form.number.value|default_if_none:"" }}" name="{{ form.number.html_name }}" id="{{ form.number.id_for_label }}">
                                    </div>
                                </div>
                                <div class="form-group bmd-form-group">
                                    <label for="{{ form.postal_code.id_for_label }}" class="bmd-label-static">{{ form.postal_code.label }}</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" value="{{ form.postal_code.value|default_if_none:"" }}" name="{{ form.postal_code.html_name }}" id="{{ form.postal_code.id_for_label }}">
                                    </div>
                                </div>
                                <div class="card-footer justify-content-center">
                                    <button type="submit" class="btn btn-success btn-round">Saglabāt</button>
                                    <a href="{% url 'shops:view' %}" class="btn btn-default btn-round ml-3">Atcelt</a>
                                </div>
                                <input type="hidden" name="next" value="{{ next }}" />
                                
                            </div>
                        </div>
                        
                    </div>
                    
                </div>
            </form>

{% if next %}
  {% if user.is_authenticated %}
    <p>Your account doesn't have access to this page. To proceed,
    please login with an account that has access.</p>
  {% else %}
    <p>Please login to see this page.</p>
  {% endif %}
{% endif %}
                
                </div>
        </div>
    </div>
</div>
  

{% endblock %}